#define vl_endianfun		/* define message structures */
#include "cnat.api.h"
#undef vl_endianfun

/* instantiate all the print functions we know about */
#define vl_print(handle, ...) vlib_cli_output (handle, __VA_ARGS__)
#define vl_printfun
#include "cnat.api.h"
#undef vl_printfun

static u16
setup_message_id_table (void) {
   api_main_t *am = my_api_main;
   vl_msg_api_msg_config_t c;
   u16 msg_id_base = vl_msg_api_get_msg_ids ("cnat_72f15b38", VL_MSG_CNAT_LAST);
   vl_msg_api_add_msg_name_crc (am, "cnat_translation_update_e35382b3",
                                VL_API_CNAT_TRANSLATION_UPDATE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_translation_update_reply_e2fc8294",
                                VL_API_CNAT_TRANSLATION_UPDATE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_translation_del_3a91bde5",
                                VL_API_CNAT_TRANSLATION_DEL + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_translation_del_reply_e8d4e804",
                                VL_API_CNAT_TRANSLATION_DEL_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_translation_details_4ca67cb9",
                                VL_API_CNAT_TRANSLATION_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_translation_dump_51077d14",
                                VL_API_CNAT_TRANSLATION_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_session_purge_51077d14",
                                VL_API_CNAT_SESSION_PURGE + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_session_purge_reply_e8d4e804",
                                VL_API_CNAT_SESSION_PURGE_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_session_details_6cb91175",
                                VL_API_CNAT_SESSION_DETAILS + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_session_dump_51077d14",
                                VL_API_CNAT_SESSION_DUMP + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_set_snat_addresses_d997e96c",
                                VL_API_CNAT_SET_SNAT_ADDRESSES + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_set_snat_addresses_reply_e8d4e804",
                                VL_API_CNAT_SET_SNAT_ADDRESSES_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_get_snat_addresses_51077d14",
                                VL_API_CNAT_GET_SNAT_ADDRESSES + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_get_snat_addresses_reply_879513c1",
                                VL_API_CNAT_GET_SNAT_ADDRESSES_REPLY + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_add_del_snat_prefix_e26dd79a",
                                VL_API_CNAT_ADD_DEL_SNAT_PREFIX + msg_id_base);
   vl_msg_api_add_msg_name_crc (am, "cnat_add_del_snat_prefix_reply_e8d4e804",
                                VL_API_CNAT_ADD_DEL_SNAT_PREFIX_REPLY + msg_id_base);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_TRANSLATION_UPDATE + msg_id_base,
   .name = "cnat_translation_update",
   .handler = vl_api_cnat_translation_update_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_translation_update_t_endian,
   .print = vl_api_cnat_translation_update_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_TRANSLATION_UPDATE_REPLY + msg_id_base,
  .name = "cnat_translation_update_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_translation_update_reply_t_endian,
  .print = vl_api_cnat_translation_update_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_TRANSLATION_DEL + msg_id_base,
   .name = "cnat_translation_del",
   .handler = vl_api_cnat_translation_del_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_translation_del_t_endian,
   .print = vl_api_cnat_translation_del_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_TRANSLATION_DEL_REPLY + msg_id_base,
  .name = "cnat_translation_del_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_translation_del_reply_t_endian,
  .print = vl_api_cnat_translation_del_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_TRANSLATION_DUMP + msg_id_base,
   .name = "cnat_translation_dump",
   .handler = vl_api_cnat_translation_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_translation_dump_t_endian,
   .print = vl_api_cnat_translation_dump_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_TRANSLATION_DETAILS + msg_id_base,
  .name = "cnat_translation_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_translation_details_t_endian,
  .print = vl_api_cnat_translation_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_SESSION_PURGE + msg_id_base,
   .name = "cnat_session_purge",
   .handler = vl_api_cnat_session_purge_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_session_purge_t_endian,
   .print = vl_api_cnat_session_purge_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_SESSION_PURGE_REPLY + msg_id_base,
  .name = "cnat_session_purge_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_session_purge_reply_t_endian,
  .print = vl_api_cnat_session_purge_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_SESSION_DUMP + msg_id_base,
   .name = "cnat_session_dump",
   .handler = vl_api_cnat_session_dump_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_session_dump_t_endian,
   .print = vl_api_cnat_session_dump_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_SESSION_DETAILS + msg_id_base,
  .name = "cnat_session_details",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_session_details_t_endian,
  .print = vl_api_cnat_session_details_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_SET_SNAT_ADDRESSES + msg_id_base,
   .name = "cnat_set_snat_addresses",
   .handler = vl_api_cnat_set_snat_addresses_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_set_snat_addresses_t_endian,
   .print = vl_api_cnat_set_snat_addresses_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_SET_SNAT_ADDRESSES_REPLY + msg_id_base,
  .name = "cnat_set_snat_addresses_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_set_snat_addresses_reply_t_endian,
  .print = vl_api_cnat_set_snat_addresses_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_GET_SNAT_ADDRESSES + msg_id_base,
   .name = "cnat_get_snat_addresses",
   .handler = vl_api_cnat_get_snat_addresses_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_get_snat_addresses_t_endian,
   .print = vl_api_cnat_get_snat_addresses_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_GET_SNAT_ADDRESSES_REPLY + msg_id_base,
  .name = "cnat_get_snat_addresses_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_get_snat_addresses_reply_t_endian,
  .print = vl_api_cnat_get_snat_addresses_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t)  {.id = VL_API_CNAT_ADD_DEL_SNAT_PREFIX + msg_id_base,
   .name = "cnat_add_del_snat_prefix",
   .handler = vl_api_cnat_add_del_snat_prefix_t_handler,
   .cleanup = vl_noop_handler,
   .endian = vl_api_cnat_add_del_snat_prefix_t_endian,
   .print = vl_api_cnat_add_del_snat_prefix_t_print,
   .is_autoendian = 0};
   vl_msg_api_config (&c);
   c = (vl_msg_api_msg_config_t) {.id = VL_API_CNAT_ADD_DEL_SNAT_PREFIX_REPLY + msg_id_base,
  .name = "cnat_add_del_snat_prefix_reply",
  .handler = 0,
  .cleanup = vl_noop_handler,
  .endian = vl_api_cnat_add_del_snat_prefix_reply_t_endian,
  .print = vl_api_cnat_add_del_snat_prefix_reply_t_print,
  .is_autoendian = 0};
   vl_msg_api_config (&c);
   return msg_id_base;
}
